v 13.0 Third Party 44
Download for v 13.0 Deploy on Odoo.sh Live Preview
Technical Name RTL-arabic-support
LicenseSee License tab
Websitehttp://www.technaureus.com/
You bought this module and need support? Click here!
Technical Name RTL-arabic-support
LicenseSee License tab
Websitehttp://www.technaureus.com/

Adding RTL (Right to Left) Support for Odoo.

This module provide RTL support in odoo based on user language settings. Language have option to choose the direction such as whether from Right to Left or Left to Right.

Odoo Proprietary License v1.0

This software and associated files (the "Software") may only be used (executed,
modified, executed after modifications) if you have purchased a valid license
from the authors, typically via Odoo Apps, or if you have received a written
agreement from the authors of the Software (see the COPYRIGHT file).

You may develop Odoo modules that use the Software as a library (typically
by depending on it, importing it and using its resources), but without copying
any source code or material from the Software. You may distribute those
modules under the license of your choice, provided that this license is
compatible with the terms of the Odoo Proprietary License (For example:
LGPL, MIT, or proprietary licenses similar to this one).

It is forbidden to publish, distribute, sublicense, or sell copies of the Software
or modified copies of the Software.

The above copyright notice and this permission notice must be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
I receive error when trying to install
by
Mohamed Sharif
on 8/11/20, 3:57 PM

Error: Odoo Server Error Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 712, in parse self._tag_root(de) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 674, in _tag_root f(rec) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 674, in _tag_root f(rec) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 652, in _tag_template return self._tag_record(record) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 498, in _tag_record self._test_xml_id(rec_id) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 250, in _test_xml_id assert modcnt == 1, """The ID "%s" refers to an uninstalled module""" % (xml_id,) AssertionError: The ID "tis_web_arabic.layout" refers to an uninstalled module During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 624, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 310, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\pycompat.py", line 14, in reraise raise value File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 669, in dispatch result = self._call_function(**self.params) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 350, in _call_function return checked_call(self.db, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\service\model.py", line 94, in wrapper return f(dbname, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 339, in checked_call result = self.endpoint(*a, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 915, in __call__ return self.method(*args, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 515, in response_wrap response = f(*args, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1326, in call_button action = self._call_kw(model, method, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1314, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 387, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 374, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 72, in check_and_log return method(self, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 463, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 573, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 423, in load_modules loaded_modules, update_module, models_to_check) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 315, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 225, in load_module_graph load_data(cr, idref, mode, kind='data', package=package, report=report) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 68, in load_data tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 736, in convert_file convert_xml_import(cr, module, fp, idref, mode, noupdate, report) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 803, in convert_xml_import obj.parse(doc.getroot()) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 721, in parse exc_info[2] File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\pycompat.py", line 13, in reraise raise value.with_traceback(tb) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 712, in parse self._tag_root(de) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 674, in _tag_root f(rec) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 674, in _tag_root f(rec) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 652, in _tag_template return self._tag_record(record) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 498, in _tag_record self._test_xml_id(rec_id) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 250, in _test_xml_id assert modcnt == 1, """The ID "%s" refers to an uninstalled module""" % (xml_id,) odoo.tools.convert.ParseError: "The ID "tis_web_arabic.layout" refers to an uninstalled module" while parsing file:/c:/program files (x86)/odoo 13.0/server/addons/rtl-arabic-support/views/templates.xml:3, near


error while installing module
by
Mohammed Ayoub
on 8/7/20, 5:05 PM

Odoo Server Error Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 712, in parse self._tag_root(de) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 674, in _tag_root f(rec) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 674, in _tag_root f(rec) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 652, in _tag_template return self._tag_record(record) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 498, in _tag_record self._test_xml_id(rec_id) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 250, in _test_xml_id assert modcnt == 1, """The ID "%s" refers to an uninstalled module""" % (xml_id,) AssertionError: The ID "tis_web_arabic.layout" refers to an uninstalled module During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 624, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 310, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\pycompat.py", line 14, in reraise raise value File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 669, in dispatch result = self._call_function(**self.params) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 350, in _call_function return checked_call(self.db, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\service\model.py", line 94, in wrapper return f(dbname, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 339, in checked_call result = self.endpoint(*a, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 915, in __call__ return self.method(*args, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 515, in response_wrap response = f(*args, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1326, in call_button action = self._call_kw(model, method, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1314, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 387, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 374, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 72, in check_and_log return method(self, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 463, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 573, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 423, in load_modules loaded_modules, update_module, models_to_check) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 315, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 225, in load_module_graph load_data(cr, idref, mode, kind='data', package=package, report=report) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 68, in load_data tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 736, in convert_file convert_xml_import(cr, module, fp, idref, mode, noupdate, report) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 803, in convert_xml_import obj.parse(doc.getroot()) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 721, in parse exc_info[2] File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\pycompat.py", line 13, in reraise raise value.with_traceback(tb) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 712, in parse self._tag_root(de) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 674, in _tag_root f(rec) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 674, in _tag_root f(rec) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 652, in _tag_template return self._tag_record(record) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 498, in _tag_record self._test_xml_id(rec_id) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 250, in _test_xml_id assert modcnt == 1, """The ID "%s" refers to an uninstalled module""" % (xml_id,) odoo.tools.convert.ParseError: "The ID "tis_web_arabic.layout" refers to an uninstalled module" while parsing file:/c:/program files (x86)/odoo 13.0/server/custom_addons/rtl-arabic-support/views/templates.xml:3, near


Error during installation
by
admarket
on 7/16/20, 1:43 PM

I tried to prove the package gives this error خطأ: Odoo Server Error Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 712, in parse self._tag_root(de) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 674, in _tag_root f(rec) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 674, in _tag_root f(rec) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 652, in _tag_template return self._tag_record(record) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 498, in _tag_record self._test_xml_id(rec_id) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 250, in _test_xml_id assert modcnt == 1, """The ID "%s" refers to an uninstalled module""" % (xml_id,) AssertionError: The ID "tis_web_arabic.layout" refers to an uninstalled module During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 624, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 310, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\pycompat.py", line 14, in reraise raise value File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 669, in dispatch result = self._call_function(**self.params) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 350, in _call_function return checked_call(self.db, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\service\model.py", line 94, in wrapper return f(dbname, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 339, in checked_call result = self.endpoint(*a, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 915, in __call__ return self.method(*args, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 515, in response_wrap response = f(*args, **kw) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1326, in call_button action = self._call_kw(model, method, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1314, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 387, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 374, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 72, in check_and_log return method(self, *args, **kwargs) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 463, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 573, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 423, in load_modules loaded_modules, update_module, models_to_check) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 315, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 225, in load_module_graph load_data(cr, idref, mode, kind='data', package=package, report=report) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 68, in load_data tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 736, in convert_file convert_xml_import(cr, module, fp, idref, mode, noupdate, report) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 803, in convert_xml_import obj.parse(doc.getroot()) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 721, in parse exc_info[2] File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\pycompat.py", line 13, in reraise raise value.with_traceback(tb) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 712, in parse self._tag_root(de) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 674, in _tag_root f(rec) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 674, in _tag_root f(rec) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 652, in _tag_template return self._tag_record(record) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 498, in _tag_record self._test_xml_id(rec_id) File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 250, in _test_xml_id assert modcnt == 1, """The ID "%s" refers to an uninstalled module""" % (xml_id,) odoo.tools.convert.ParseError: "The ID "tis_web_arabic.layout" refers to an uninstalled module" while parsing file:/c:/program files (x86)/odoo 13.0/server/odoo/addons/rtl-arabic-support/views/templates.xml:3, near